param(
    [Parameter(Mandatory = $true)]
    $enderecoArquivoConfiguracao,

    [Parameter(Mandatory = $true)]
    $suprimirConfirmacoes,

    [Parameter(Mandatory = $false)]
    $enderecoChavePublica,

    [Parameter(Mandatory = $false)]
    $senha
)

$ErrorActionPreference = 'Stop'

. $PSScriptRoot\executarScriptPython.ps1
. $PSScriptRoot\_echo.ps1

$python = "c:\microuniversoWeb\python\python.exe"

$diretorioScriptsImplantacao = $PSScriptRoot

_echo "Iniciando Hard Reset da MuWhatsapp API"

$exitCode = mu.executarScriptPython -script "$diretorioScriptsImplantacao\scriptsPython\hard_reset_mu_whatsapp_api.py" -argumentos "$enderecoArquivoConfiguracao $diretorioScriptsImplantacao"

if ($exitCode -ne 0) {
    _echo "exitCode Hard Reset MuWhatsapp: $exitCode"
    exit $exitCode
}

_echo "FIM (Hard Reset MuWhatsapp)"
